{ inputs, config, pkgs, ... }:
{
  home.username = "root";
  home.homeDirectory = "/root";

  imports = [
    (import ./utils/common.nix { inherit inputs config pkgs; })
  ];

  home.packages = with pkgs; [
    micromamba
  ];

  home.sessionVariables = {
    NIX_PATH = "${config.xdg.stateHome}/nix/profiles/channels/";
    LANG = "en_US.UTF-8";
    LOCALE_ARCHIVE = "/usr/lib/locale/locale-archive";
    XDG_RUNTIME_DIR = "/run/user/$(id -u)";
    MAMBA_ROOT_PREFIX = "/root/.micromamba";
  };
  programs.zsh.initExtra = pkgs.lib.mkForce ''
      eval "$(micromamba shell hook -s zsh)"
  '';
}
